<?php
/*
(c)2004,2005 David Sporn

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License version 2.1 as published by the Free Software Foundation.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**Include a form template generated from a XML description.
 * Prepare some defined variable that are used by the generated template then include it.
 * The object containing form data will be known under the name "$formData" in the template.
 * @param nameSpace the prefix that will be added to names and ids (<code>$formBodyNameSpace</code>), it must be unique in the page and non empty.
 * @param source a bean like object that contains the form data (use <code>$formData</code> as the of <code>valueSource</code> in form definition file).
 * @param path the path of the script to include.
 */
function includeFormTemplate($nameSpace, $source, $path)
{
	$formBodyNameSpace = $nameSpace ;
	$formData = $source ;
	include($path) ;
}


?>